petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCGAMGSetCoarseEqLim

Set maximum number of equations on coarsest grid.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetCoarseEqLim(PC pc, PetscInt n)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| n | - maximum number of equations to aim for

### Options Database Key

-pc_gamg_coarse_eq_limit <limit> - Notes: For example -pc_gamg_coarse_eq_limit 1000 will stop coarsening once the coarse grid has less than 1000 unknowns.

### See Also

PCGAMGSetProcEqLim()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetCoarseEqLim_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages